package com.yihu.hos.monitor.controller;

import com.yihu.hos.monitor.service.ServerMonitorService;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.json.JSONArray;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2016/10/26.
 */
@Controller("ServerMonitorController")
@RequestMapping("/monitor/server")
public class ServerMonitorController {

    @Resource(name = ServerMonitorService.BEAN_ID)
    private ServerMonitorService monitorService;




    //跳转到列表页
    @RequestMapping("/initial")
    public String initial(Model model) {
        model.addAttribute("contentPage", "/server/sEnvManage");
        return "partView";
    }

    @RequestMapping(value = "/initialValue", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "echar获取", produces = "application/json", notes = "echar获取")
    public String initial(
            Model model,
            @ApiParam(name = "type", value = "类型", required = true)
            @RequestParam(value = "type") String type,
            @ApiParam(name = "beginTime", value = "开始时间", required = true)
            @RequestParam(value = "beginTime") String beginTime,
            @ApiParam(name = "endTime", value = "结束时间", required = true)
            @RequestParam(value = "endTime") String endTime) {
        try {
            JSONArray array = monitorService.getMonitorInfoTest(type, beginTime, endTime);
                model.addAttribute("monitorModel", array);
            model.addAttribute("contentPage", "server/monitor");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return "partView";
    }
}
