package com.yihu.hos.monitor.controller;

import com.yihu.hos.monitor.service.ServiceMonitorService;
import com.yihu.hos.web.framework.model.Result;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2016/10/26.
 */
@Controller("ServiceMonitorController")
@RequestMapping("/monitor/service")
public class ServiceMonitorController {

    @Resource(name = ServiceMonitorService.BEAN_ID)
    private ServiceMonitorService monitorService;


    //跳转到列表页
    @RequestMapping("/initial")
    public String serviceInitial(Model model) {
        model.addAttribute("contentPage", "/service/sEnvManage");
        return "partView";
    }

//    @RequestMapping(value = "/service/bandwidth", method = RequestMethod.GET)
//    @ResponseBody
//    @ApiOperation(value = "服务指标获取", produces = "application/json", notes = "服务指标获取")
//    public String serviceMetrics(
//            Model model,
//            @ApiParam(name = "beginTime", value = "开始时间", required = true)
//            @RequestParam(value = "beginTime") String beginTime,
//            @ApiParam(name = "endTime", value = "结束时间", required = true)
//            @RequestParam(value = "endTime") String endTime) {
//        try {
//            JSONArray array = monitorService.getMonitorInfoTest(type, beginTime, endTime);
//            model.addAttribute("monitorModel", array);
//            model.addAttribute("contentPage", "server/monitor");
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//        return "partView";
//    }

    @RequestMapping(value = "/bandwidth", method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "获取带宽", produces = "application/json", notes = "获取带宽")
    public Result bandwidth(
            @ApiParam(name = "beginTime", value = "开始时间", required = true)
            @RequestParam(value = "beginTime") String beginTime,
            @ApiParam(name = "endTime", value = "结束时间", required = true)
            @RequestParam(value = "endTime") String endTime) {
        return monitorService.bandwidth(beginTime, endTime);
    }

    @RequestMapping(value = "/qps", method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "获取吞吐量", produces = "application/json", notes = "获取吞吐量")
    public Result qps(
            @ApiParam(name = "beginTime", value = "开始时间", required = true)
            @RequestParam(value = "beginTime") String beginTime,
            @ApiParam(name = "endTime", value = "结束时间", required = true)
            @RequestParam(value = "endTime") String endTime) {
        return monitorService.qps(beginTime, endTime);
    }

    @RequestMapping(value = "/usage", method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "获取使用率", produces = "application/json", notes = "获取使用率")
    public Result usage(
            @ApiParam(name = "beginTime", value = "开始时间", required = true)
            @RequestParam(value = "beginTime") String beginTime,
            @ApiParam(name = "endTime", value = "结束时间", required = true)
            @RequestParam(value = "endTime") String endTime) {
        return monitorService.usage(beginTime, endTime);
    }

    @RequestMapping(value = "/delay", method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "获取延时", produces = "application/json", notes = "获取延时")
    public Result delay(
            @ApiParam(name = "beginTime", value = "开始时间", required = true)
            @RequestParam(value = "beginTime") String beginTime,
            @ApiParam(name = "endTime", value = "结束时间", required = true)
            @RequestParam(value = "endTime") String endTime) {
        return monitorService.delay(beginTime, endTime);
    }
}
